//
//  EditBookController.h
//  TestDataManageer
//
//  Created by Akabeko on 11/11/05.
//  Copyright (c) 2011, Akabeko. All rights reserved.
//

#import <UIKit/UIKit.h>

@class Book;

////////////////////////////////////////////////////////////////////////////////
/**
 * 書籍の追加、または編集画面が完了したことを通知するデリゲートです。
 */
@protocol EditBookDelegate
- (void)addBookDidFinish:(Book*)newBook;
- (void)editBookDidFinish:(Book*)oldBook newBook:(Book*)newBook;
@end

////////////////////////////////////////////////////////////////////////////////
/**
 * 書籍の追加、または編集画面を表します。
 */
@interface EditBookController : UIViewController<UITextFieldDelegate>
{
@private
	IBOutlet UILabel*      _titleLabel;          //! 題名ラベル
	IBOutlet UITextField*  _titleTextField;      //! 題名を編集するためのテキスト フィールド
	IBOutlet UILabel*      _authorLabel;         //! 著者ラベル
	IBOutlet UITextField*  _authorTextField;     //! 著者を編集するためのテキスト フィールド
	IBOutlet UILabel*      _copyrightLabel;      //! 公表年月日ラベル
	IBOutlet UIDatePicker* _copyrightDatePicker; //! 公表年月日を編集するための日時ピッカー
}

@property (nonatomic, assign) id<EditBookDelegate> delegate; //! 書籍の追加、または編集画面が完了したことを通知するデリゲート
@property (nonatomic, retain) Book*                book;     //! 編集対象となる書籍

@end
